Suno Custom Singer Style API Integration Guide

SUNO allows us to set a singer style for an already generated song, and then perform secondary creation based on it. This document explains the integration method for the relevant API.

GET /suno/persona for querying the list and DELETE /suno/persona for deleting records are not billed, and no additional non-billable request header is required. The POST /suno/persona creation operation is still billed according to the API pricing rules.

This API has only three input parameters. First is audio_id, which is a song ID that has already been successfully generated on the official platform. Next are name and description, which are a name and description of the singer style.

Here, the audio_id we enter is https://cdn.acedata.cloud/2qhzs3.png. You can refer to Suno Audios Generation API for custom song generation, and finally obtain the audio_id.

curl -X POST 'https://api.acedata.cloud/suno/persona' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "name": "test",
  "audio_id": "81745564-60e7-4ad4-85a9-6f42f0f4f3b3",
  "description": "test"
}'

The result is as follows:

{
  "success": true,
  "task_id": "8e808558-f056-456f-91d6-b97fd94eb3be",
  "data": {
    "persona_id": "dae4ae5d-2b51-4af1-b286-1a4473ef4dba"
  }
}

As you can see, the persona_id field in data is the generated singer style ID.

After obtaining the singer style ID, we can use the Suno Audios Generation API for custom song generation. For example, pass artist_consistency for action, pass the uploaded song ID for audio_id, and also upload the persona_id parameter. This value is the singer style ID returned above, and a new song can then be generated based on the referenced singer style.